curl --location --request POST 'https://api.rapidagent.ai/api/v1/agents/{agentId}/predict' \
--header 'Content-Type: application/json' \
--header 'X_SUPERAGENT_API_KEY: <api_token>'
--data-raw '{
"input": {"input": "Hi"},
"has_streaming": true
}'
{
"success": true,
"data": "Hi, how may I help you?",
"trace": {}
}
Agents
/agents/{agentId}/predict
Call an agent.
POST
/
api
/
v1
/
agents
/
{agentId}
/
predict
curl --location --request POST 'https://api.rapidagent.ai/api/v1/agents/{agentId}/predict' \
--header 'Content-Type: application/json' \
--header 'X_SUPERAGENT_API_KEY: <api_token>'
--data-raw '{
"input": {"input": "Hi"},
"has_streaming": true
}'
{
"success": true,
"data": "Hi, how may I help you?",
"trace": {}
}
Authentication headers
Params
Body
Response
curl --location --request POST 'https://api.rapidagent.ai/api/v1/agents/{agentId}/predict' \
--header 'Content-Type: application/json' \
--header 'X_SUPERAGENT_API_KEY: <api_token>'
--data-raw '{
"input": {"input": "Hi"},
"has_streaming": true
}'
{
"success": true,
"data": "Hi, how may I help you?",
"trace": {}
}